function Mat=Dg_nonlin(a,N)

% This function computes the jacobian of the non-linear part of g

Mat=zeros(4*(N*(N+1)/2-3),4*(N*(N+1)/2));
a1=a(1:4:end);
a2=a(2:4:end);

for k=2:N-1    %k=|alpha|
    for j=0:k    %alpha_1=k-j,  alpha_2=j
        pos_ligne=position(k-j,j)-3;
        for i=0:k-j
            for l=0:j
                pos_colonne=position(i,l);
                pos_vect=position(k-j-i,j-l);
                Mat(4*(pos_ligne-1)+1,4*(pos_colonne-1)+2)=a1(pos_vect);         
                Mat(4*(pos_ligne-1)+1,4*(pos_colonne-1)+1)=a2(pos_vect);     
            end
        end
    end
end