function vect=F(a,N,beta,lambda,p,V1,V2)

% This fonction computes F^{[N]}(a)

vect=zeros(4*(N*(N+1)/2),1);

vect(1:4)=a(1:4)-p;
vect(5:8)=a(5:8)-V1;
vect(9:12)=a(9:12)-V2;

I=1:4;
for k=2:N-1    %k=|alpha|
    for j=0:k    %alpha_1=k-j,  alpha_2=j
        pos=position(k-j,j);
        vect(4*(pos-1)+I)=((k-j)*lambda+j*conj(lambda))*a(4*(pos-1)+I)-g_lin(a(4*(pos-1)+I),beta);
    end
end

a1=a(1:4:end);
a2=a(2:4:end);
a1a2=cauchy(a1,a2,N);

vect(13:4:end)=vect(13:4:end)-a1a2(4:end);