function a=Newton(a,N,beta,lambda,p,V1,V2,tol,nb_it,nu)
%Newton's method

k=0;
error=norm_multiD(F(a,N,beta,lambda,p,V1,V2),N,nu,4);
while error>tol && k<nb_it
    a=a-DF(a,N,beta,lambda)\F(a,N,beta,lambda,p,V1,V2);
    k=k+1;
    error=norm_multiD(F(a,N,beta,lambda,p,V1,V2),N,nu,4);
end
if error>tol
    display(error)
end