function Mat=Dg_lin(N,sigma,s,Delta,gamma,epsilon)

% This fonction computes the jacobian of the linear part of g

I=1:3;
M=[0             1          0 
   sigma/Delta  s/Delta   1/Delta   
   epsilon/s     0     -epsilon*gamma/s];

m=(N*(N+1)/2);

Mat=zeros(3*(m-3));

for k=1:m-3
    Mat(3*(k-1)+I,3*(k-1)+I)=M;
end