function vect=F(a,N,sigma,beta,rho,lambda_1,lambda_2)
%Computation of F^{[N]}(a)

vect=zeros(3*(N*(N+1)/2-3),1);
I=1:3;

for k=2:N-1    %k=|alpha|
    for j=0:k    %alpha_1=k-j,  alpha_2=j
        pos=position(k-j,j);
        vect(3*(pos-4)+I)=((k-j)*lambda_1+j*lambda_2)*a(3*(pos-1)+I)-g_lin(a(3*(pos-1)+I),sigma,beta,rho);
    end
end

x=a(1:3:end);
y=a(2:3:end);
z=a(3:3:end);
xy=cauchy(x,y,N);
xz=cauchy(x,z,N);

vect(2:3:end)=vect(2:3:end)+xz(4:end);
vect(3:3:end)=vect(3:3:end)-xy(4:end);

