function vect=partial_derivative(a,N,l)

% If f denotes the power series associated to a, this function computes the
% coefficients of the power series associated to the l-partial derivative
% of f.

vect=0*a;
I=(1:3);

for k=0:N-2    %k=|alpha|
    for j=0:k    %alpha_1=k-j,  alpha_2=j
        pos=position(k-j,j);
        if l==1
            pos_a=position(k-j+1,j);
            vect(3*(pos-1)+I)=(k-j+1)*a(3*(pos_a-1)+I);
        else
            pos_a=position(k-j,j+1);
            vect(3*(pos-1)+I)=(j+1)*a(3*(pos_a-1)+I);
        end
    end
end