function vect=prod_vect(a,b,N)

% This function cumputes the vectorial product of a and b in Fourier space.

a1=a(1:3:end);
a2=a(2:3:end);
a3=a(3:3:end);
b1=b(1:3:end);
b2=b(2:3:end);
b3=b(3:3:end);

v1=cauchy(a2,b3,N)-cauchy(a3,b2,N);
v2=-cauchy(a1,b3,N)+cauchy(a3,b1,N);
v3=cauchy(a1,b2,N)-cauchy(a2,b1,N);

vect=0*a;
vect(1:3:end)=v1;
vect(2:3:end)=v2;
vect(3:3:end)=v3;