function Mat=DF(a,N,beta,lambda)

% This fonction computes the jacobian matrix DF^{[N]}(a)

Vect=zeros(1,N*(N+1)/2-3);

pos=1;
for k=2:N-1
    V=(0:k)';
    Vect(pos+(0:k))=lambda*flip(V,1)+conj(lambda)*V;
    pos=pos+k+1;
end

Vect=multiple(Vect,4);

Mat=diag(Vect)-Dg_lin(N,beta);

m=size(Mat,1);

Mat=[eye(12) zeros(12,m)
     zeros(m,12) Mat];
 Mat(13:end,:)=Mat(13:end,:)-Dg_nonlin(a,N);