function vect=Z1(a,N,beta,nu)
%Computes the bound Z_1

vect=zeros(4,1);

lambda_r=-sqrt(2-beta)/2;

vect(1)=1+norm_1D(a(1:4:end),N,nu)+norm_1D(a(2:4:end),N,nu);
vect(2)=1;
vect(3)=1;
vect(4)=1+beta;

vect=vect/(N*abs(lambda_r));