function w=cauchy(u,v,N)
%%% Inputs: u,v are vectors of lenght N*(N+1)/2
%%% Output: w is the cauchy product of u and v

w=0*u;

for k=0:N-1    %k=|alpha|
    for j=0:k    %alpha_1=k-j,  alpha_2=j
        pos=position(k-j,j);
        val=0;
        for i=0:k-j
            val=val+sum(find_column(u,k-j-i,j).*flip(find_column(v,i,j),2));
        end
        w(pos)=val;
    end
end