function Mat=norm_op(B,N,nu)
%Computes the operator norm of the matrix B.

Mat=zeros(4,4);

if nu==1
    B_weighted=abs(B);
else
    M=nu.^M_alpha(N)';
    B_weighted=M*abs(B)./M;
end

for i=1:4
    for j=1:4
        Mat(i,j)=max(B_weighted(i,j:4:end));
    end
end