function [M1,M2,M3]=vect2mat(a,N,direction)
%Construction of the matrices M1, M2 and M3 representing the 3 component
%(chosen in direction) of the parameterization a, and that we use in the function 
%eval_parameterization to evaluate the parameterization for any (theta_1,theta_2).

M1=zeros(N,N);
M2=zeros(N,N);
M3=zeros(N,N);
for j=0:N-1    %alpha_2=j
    for i=0:N-1-j    %alpha_1=i
        pos=position(i,j);
        M1(j+1,i+1)=a(4*(pos-1)+direction(1));
        M2(j+1,i+1)=a(4*(pos-1)+direction(2));
        M3(j+1,i+1)=a(4*(pos-1)+direction(3));
    end
end