function Mat=DF(a,N,sigma,s,Delta,zeta,epsilon,lambda_1,lambda_2)

% This fonction computes the jacobian matrix DF^{[N]}(a)

Vect=zeros(1,N*(N+1)/2-3);

pos=1;
for k=2:N-1
    V=(0:k)';
    Vect(pos+(0:k))=lambda_1*flip(V,1)+lambda_2*V;
    pos=pos+k+1;
end

Vect=multiple(Vect,3);

Mat=diag(Vect)-(Dg_lin(N,sigma,s,Delta,zeta,epsilon)+Dg_nonlin(a,N,sigma,Delta));