function vect=F(a,N,sigma,s,Delta,zeta,epsilon,lambda_1,lambda_2)

% This fonction computes F^{[N]}(a)

vect=zeros(3*(N*(N+1)/2-3),1);
I=1:3;

for k=2:N-1    %k=|alpha|
    for j=0:k    %alpha_1=k-j,  alpha_2=j
        pos=position(k-j,j);
        vect(3*(pos-4)+I)=((k-j)*lambda_1+j*lambda_2)*a(3*(pos-1)+I)-g_lin(a(3*(pos-1)+I),sigma,s,Delta,zeta,epsilon);
    end
end

u=a(1:3:end);
cauchy_quad=cauchy(u,u,N);
cauchy_cub=cauchy(cauchy_quad,u,N);

vect(2:3:end)=vect(2:3:end)-1/Delta*(cauchy_cub(4:end)-(1+sigma)*cauchy_quad(4:end));

