function val=norm_multiD(a,N,nu,n)

% This function computes the $l^1_{\nu}$ norm of 
% a=(a_{\alpha})_{\vert\alpha\vert \ge 0}, where $a_{\alpha}$ is a vector
% of size n

vect_norm=zeros(1,n);
for k=1:n
    vect_norm(k)=norm_1D(a(k:n:end),N,nu);
end


val=max(vect_norm);